"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var module_1 = require("lib/classes/module");
var Storage = (function (_super) {
    __extends(Storage, _super);
    function Storage(log, asyncSettings, cachedSettings, storageReadyPromise) {
        var _this = _super.call(this, "app.storage", log) || this;
        _this.asyncSettings = asyncSettings;
        _this.cachedSettings = cachedSettings;
        _this.storageReadyPromise = storageReadyPromise;
        return _this;
    }
    Object.defineProperty(Storage.prototype, "startupPreconditions", {
        get: function () {
            return [
                this.storageReadyPromise,
            ];
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Storage.prototype, "subModules", {
        get: function () {
            var rv = {
                asyncSettings: this.asyncSettings,
            };
            if (this.cachedSettings !== null) {
                rv.cachedSettings = this.cachedSettings;
            }
            return rv;
        },
        enumerable: true,
        configurable: true
    });
    return Storage;
}(module_1.Module));
exports.Storage = Storage;