"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var module_1 = require("lib/classes/module");
var Extension = (function (_super) {
    __extends(Extension, _super);
    function Extension(log) {
        return _super.call(this, "browser.extension", log) || this;
    }
    Object.defineProperty(Extension.prototype, "backgroundApi", {
        get: function () {
            return {
                getBackgroundPage: this.getBackgroundPage.bind(this),
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Extension.prototype, "contentApi", {
        get: function () {
            return {
                getURL: null,
                inIncognitoContext: null,
            };
        },
        enumerable: true,
        configurable: true
    });
    Extension.prototype.setBackgroundPage = function (aObject) {
        this.backgroundPage = aObject;
    };
    Extension.prototype.getBackgroundPage = function () {
        return this.backgroundPage;
    };
    return Extension;
}(module_1.Module));
exports.Extension = Extension;