"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    all: [
        ["http://download.mozilla.org/", null],
        ["https://download.mozilla.org/", null],
        ["http://addons.mozilla.org/", null],
        ["https://addons.mozilla.org/", null],
        ["http://releases.mozilla.org/", null],
        ["https://releases.mozilla.org/", null],
        ["about:addons", "https://services.addons.mozilla.org/"],
        ["about:addons", "https://discovery.addons.mozilla.org/"],
        [
            "https://services.addons.mozilla.org/",
            "https://static.addons.mozilla.net/",
        ], [
            "https://services.addons.mozilla.org/",
            "https://addons.mozilla.org/",
        ], [
            "https://services.addons.mozilla.org/",
            "https://www.mozilla.com/",
        ], [
            "https://services.addons.mozilla.org/",
            "https://www.getpersonas.com/",
        ], [
            "https://services.addons.mozilla.org/",
            "https://static-cdn.addons.mozilla.net/",
        ], [
            "https://services.addons.mozilla.org/",
            "https://addons.cdn.mozilla.net/",
        ],
        ["about:home", null],
        [
            "https://auth.services.mozilla.com/",
            "https://api-secure.recaptcha.net/challenge?",
        ], [
            "https://api-secure.recaptcha.net/challenge?",
            "https://www.google.com/recaptcha/api/challenge?",
        ], [
            "https://auth.services.mozilla.com/",
            "https://www.google.com/recaptcha/api/",
        ],
        ["about:newtab", null],
        [
            "about:loopconversation",
            "https://hlg.tokbox.com/",
        ], [
            "about:loopconversation",
            "https://anvil.opentok.com/",
        ], [
            "about:loopconversation",
            "wss://",
        ],
    ],
    Firefox: [
        [
            "about:accounts",
            "https://accounts.firefox.com/",
        ], [
            "https://accounts.firefox.com/",
            "https://api.accounts.firefox.com/",
        ], [
            "https://accounts.firefox.com/",
            "https://accounts.cdn.mozilla.net/",
        ],
    ],
    SeaMonkey: [
        ["mailbox:", null],
        [null, "mailbox:"],
    ],
};