"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = [
    {
        ids: ["greasefire@skrul.com"],
        rules: [
            ["file://", "http://userscripts.org/"],
            ["file://", "http://static.userscripts.org/"],
        ],
    },
    {
        ids: [
            "{0f9daf7e-2ee2-4fcf-9d4f-d43d93963420}",
            "{899DF1F8-2F43-4394-8315-37F6744E6319}",
            "brief@mozdev.org",
        ],
        rules: [
            ["resource://brief-content/", null],
        ],
    },
    {
        ids: [
            "{899DF1F8-2F43-4394-8315-37F6744E6319}",
        ],
        whitelistedBaseUris: [
            "chrome://newsfox/content/newsfox.xul",
        ],
    },
    {
        ids: ["foxmarks@kei.com"],
        rules: [
            ["https://login.xmarks.com/", "https://static.xmarks.com/"],
        ],
    },
    {
        ids: [
            "{203FB6B2-2E1E-4474-863B-4C483ECCE78E}",
            "{0C55C096-0F1D-4F28-AAA2-85EF591126E7}",
            "{2D3F3651-74B9-4795-BDEC-6DA2F431CB62}",
        ],
        rules: [
            [null, "symnst:"],
            [null, "symres:"],
        ],
    },
    {
        ids: ["{c45c406e-ab73-11d8-be73-000a95be3b12}"],
        rules: [
            ["about:blank", "http://jigsaw.w3.org/css-validator/validator"],
            ["about:blank", "http://validator.w3.org/check"],
        ],
    },
    {
        ids: ["{c07d1a49-9894-49ff-a594-38960ede8fb9}"],
        topLevelDocTranslationRules: [
            ["chrome://updatescan/content/diffPage.xul", "data:text/html"],
        ],
    },
    {
        ids: ["FirefoxAddon@similarWeb.com"],
        rules: [
            ["http://api2.similarsites.com/", "http://images2.similargroup.com/"],
            ["http://www.similarweb.com/", "http://go.similarsites.com/"],
        ],
    },
    {
        ids: ["{6614d11d-d21d-b211-ae23-815234e1ebb5}"],
        rules: [
            [null, "http://st.drweb.com/"],
        ],
    },
    {
        ids: ["keefox@chris.tomlinson"],
        rules: [
            ["resource://", "ws://127.0.0.1"],
        ],
    },
    {
        ids: ["jid1-TPTs1Z1UvUn2fA@jetpack"],
        rules: [
            ["resource://jid1-tpts1z1uvun2fa-at-jetpack/enpass/", "ws://localhost"],
        ],
    },
];