"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("framescripts/blocked-content");
require("framescripts/dom-content-loaded");
require("framescripts/misc");
var commonjs_unload_subject_1 = require("legacy/lib/commonjs-unload-subject");
var app_content_1 = require("app/app.content");
var log_1 = require("app/log");
var environment_1 = require("lib/environment");
environment_1.MainEnvironment.addStartupFunction(environment_1.Level.INTERFACE, function () {
    environment_1.MainEnvironment.obMan.observeSingleTopic("sdk:loader:destroy", function (subject) {
        if (subject.wrappedJSObject === commonjs_unload_subject_1.COMMONJS_UNLOAD_SUBJECT) {
            environment_1.MainEnvironment.shutdown();
            app_content_1.rp.shutdown().catch(log_1.log.onError("framescript shutdown"));
        }
    });
});
app_content_1.rp.startup().catch(log_1.log.onError("framescript startup"));
environment_1.MainEnvironment.startup();