"use strict";
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function (o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var ApplicationCompatibilityRules = (function () {
    function ApplicationCompatibilityRules(aSpec) {
        this.rules = [];
        this.spec = aSpec;
        this.update();
    }
    Object.defineProperty(ApplicationCompatibilityRules.prototype, "whenReady", {
        get: function () {
            return this.pWhenReady;
        },
        enumerable: true,
        configurable: true
    });
    ApplicationCompatibilityRules.prototype[Symbol.iterator] = function () {
        var e_1, _a, _b, _c, _d, origin, dest, e_1_1;
        return __generator(this, function (_e) {
            switch (_e.label) {
                case 0:
                    _e.trys.push([0, 5, 6, 7]);
                    _b = __values(this.rules), _c = _b.next();
                    _e.label = 1;
                case 1:
                    if (!!_c.done) return [3, 4];
                    _d = __read(_c.value, 2), origin = _d[0], dest = _d[1];
                    return [4, { origin: origin, dest: dest, info: this.appName }];
                case 2:
                    _e.sent();
                    _e.label = 3;
                case 3:
                    _c = _b.next();
                    return [3, 1];
                case 4: return [3, 7];
                case 5:
                    e_1_1 = _e.sent();
                    e_1 = { error: e_1_1 };
                    return [3, 7];
                case 6:
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                    return [7];
                case 7: return [2];
            }
        });
    };
    ApplicationCompatibilityRules.prototype.update = function () {
        var _this = this;
        this.pWhenReady = browser.runtime.getBrowserInfo().
            then(function (appInfo) {
            _this.appName = appInfo.name;
            _this.rules = _this.getAppCompatRules(_this.appName);
            return;
        });
        this.pWhenReady.
            catch(function (e) {
            console.error("[RequestPolicy] Could not update app compatibility.");
            console.dir(e);
        });
    };
    ApplicationCompatibilityRules.prototype.getAppCompatRules = function (appName) {
        var _this = this;
        var rules = [];
        var addRules = function (rule) {
            rules.push(rule);
        };
        ["all", appName].forEach(function (prop) {
            if (_this.spec.hasOwnProperty(prop)) {
                _this.spec[prop].forEach(addRules);
            }
        });
        return rules;
    };
    return ApplicationCompatibilityRules;
}());
exports.ApplicationCompatibilityRules = ApplicationCompatibilityRules;