"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var listeners_1 = require("lib/classes/listeners");
var map_of_custom_sets_1 = require("lib/classes/map-of-custom-sets");
var MapOfListeners = (function (_super) {
    __extends(MapOfListeners, _super);
    function MapOfListeners() {
        var _this = _super.call(this, function () { return new listeners_1.Listeners(); }) || this;
        _this.interface = {
            addListener: _this.addToSet.bind(_this),
            hasListener: _this.hasInSet.bind(_this),
            removeListener: _this.deleteFromSet.bind(_this),
        };
        return _this;
    }
    MapOfListeners.prototype.addListener = function (k, l) {
        this.addToSet(k, l);
    };
    MapOfListeners.prototype.emit = function (aKey) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var listeners = this.get(aKey);
        if (!listeners)
            return;
        listeners.emit.apply(listeners, __spread(args));
    };
    return MapOfListeners;
}(map_of_custom_sets_1.MapOfCustomSets));
exports.MapOfListeners = MapOfListeners;