"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var OverridableSet = (function () {
    function OverridableSet() {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        this.set = new (Set.bind.apply(Set, __spread([void 0], args)))();
    }
    Object.defineProperty(OverridableSet.prototype, Symbol.iterator, {
        get: function () { return this.set[Symbol.iterator]; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OverridableSet.prototype, "size", {
        get: function () { return this.set.size; },
        enumerable: true,
        configurable: true
    });
    OverridableSet.prototype.keys = function () { return this.set.keys(); };
    OverridableSet.prototype.values = function () { return this.set.values(); };
    OverridableSet.prototype.entries = function () { return this.set.entries(); };
    OverridableSet.prototype.has = function (arg) { return this.set.has(arg); };
    OverridableSet.prototype.add = function (arg) {
        this.set.add(arg);
        return this;
    };
    OverridableSet.prototype.delete = function (arg) { return this.set.delete(arg); };
    OverridableSet.prototype.clear = function () { return this.set.clear(); };
    OverridableSet.prototype.forEach = function (callbackfn, thisArg) {
        return this.set.forEach(callbackfn, thisArg);
    };
    return OverridableSet;
}());
exports.OverridableSet = OverridableSet;