"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var module_1 = require("lib/classes/module");
var Api = (function (_super) {
    __extends(Api, _super);
    function Api(log, extension, i18n, management, manifest, privacy, runtime, storage, prefsService, miscInfos, rpPrefBranch, prefObserverFactory, tryCatchUtils) {
        var _this = _super.call(this, "API", log) || this;
        _this.extension = extension;
        _this.i18n = i18n;
        _this.management = management;
        _this.manifest = manifest;
        _this.privacy = privacy;
        _this.runtime = runtime;
        _this.storage = storage;
        _this.prefsService = prefsService;
        _this.miscInfos = miscInfos;
        _this.rpPrefBranch = rpPrefBranch;
        _this.prefObserverFactory = prefObserverFactory;
        _this.tryCatchUtils = tryCatchUtils;
        return _this;
    }
    Object.defineProperty(Api.prototype, "subModules", {
        get: function () {
            return {
                extension: this.extension,
                i18n: this.i18n,
                management: this.management,
                manifest: this.manifest,
                privacy: this.privacy,
                runtime: this.runtime,
                storage: this.storage,
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Api.prototype, "backgroundApi", {
        get: function () {
            return {
                extension: this.extension.backgroundApi,
                i18n: this.i18n.backgroundApi,
                management: this.management.backgroundApi,
                privacy: this.privacy.backgroundApi,
                runtime: this.runtime.backgroundApi,
                storage: this.storage.backgroundApi,
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Api.prototype, "contentApi", {
        get: function () {
            return {
                extension: this.extension.contentApi,
                i18n: this.i18n.contentApi,
                runtime: this.runtime.contentApi,
                storage: this.storage.contentApi,
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Api.prototype, "legacyApi", {
        get: function () {
            return {
                createPrefObserver: this.prefObserverFactory,
                i18n: this.i18n.legacyApi,
                miscInfos: this.miscInfos,
                prefsService: this.prefsService,
                rpPrefBranch: this.rpPrefBranch,
                storage: {},
                tryCatchUtils: this.tryCatchUtils,
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Api.prototype, "bootstrap", {
        get: function () {
            return {
                setBackgroundPage: this.extension.setBackgroundPage.
                    bind(this.extension),
            };
        },
        enumerable: true,
        configurable: true
    });
    return Api;
}(module_1.Module));
exports.Api = Api;