"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var module_1 = require("lib/classes/module");
var NetworkPredictionEnabledSetting = (function (_super) {
    __extends(NetworkPredictionEnabledSetting, _super);
    function NetworkPredictionEnabledSetting(log, rootPrefBranch) {
        var _this = _super.call(this, "browser.privacy.network.networkPredictionEnabled", log) || this;
        _this.rootPrefBranch = rootPrefBranch;
        return _this;
    }
    NetworkPredictionEnabledSetting.prototype.set = function (_a) {
        var value = _a.value;
        if (value) {
            throw new Error("not supported");
        }
        else {
            this.rootPrefBranch.set("network.dns.disablePrefetch", !value);
            this.rootPrefBranch.set("network.dns.disablePrefetchFromHTTPS", !value);
            this.rootPrefBranch.set("network.http.speculative-parallel-limit", 0);
            this.rootPrefBranch.set("network.predictor.enabled", !!value);
            this.rootPrefBranch.set("network.prefetch-next", !!value);
            return Promise.resolve(true);
        }
    };
    NetworkPredictionEnabledSetting.prototype.clear = function (details) {
        return Promise.resolve(false);
    };
    return NetworkPredictionEnabledSetting;
}(module_1.Module));
exports.NetworkPredictionEnabledSetting = NetworkPredictionEnabledSetting;