"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var module_1 = require("lib/classes/module");
var PrivacyApi = (function (_super) {
    __extends(PrivacyApi, _super);
    function PrivacyApi(log, networkPredictionEnabled) {
        var _this = _super.call(this, "browser.privacy", log) || this;
        _this.networkPredictionEnabled = networkPredictionEnabled;
        return _this;
    }
    Object.defineProperty(PrivacyApi.prototype, "backgroundApi", {
        get: function () {
            return {
                network: {
                    networkPredictionEnabled: this.networkPredictionEnabled,
                },
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PrivacyApi.prototype, "contentApi", {
        get: function () {
            return this.backgroundApi;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PrivacyApi.prototype, "subModules", {
        get: function () {
            return {
                networkPredictionEnabled: this.networkPredictionEnabled,
            };
        },
        enumerable: true,
        configurable: true
    });
    return PrivacyApi;
}(module_1.Module));
exports.PrivacyApi = PrivacyApi;