"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var notifications_1 = require("models/notifications");
var ui_startup_1 = require("models/ui-startup");
function showNotification(id) {
    notifications_1.Notifications.openTab(id);
}
exports.NotificationsController = {
    startupPreconditions: [
        ui_startup_1.pWindowsAvailable,
    ],
    startup: function () {
        notifications_1.Notifications.forEach(showNotification);
        notifications_1.Notifications.onAdded.addListener(showNotification);
    },
};