"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var xpcom_observer_1 = require("lib/classes/xpcom-observer");
var js_utils_1 = require("lib/utils/js-utils");
function promiseObserverTopic(aTopic) {
    var deferred = js_utils_1.defer();
    function callback(subject, topic, data) {
        observer.unregister();
        deferred.resolve([subject, topic, data]);
    }
    var observer = new xpcom_observer_1.XPCOMObserver(aTopic, callback);
    return deferred.promise;
}
exports.promiseObserverTopic = promiseObserverTopic;