"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CIMap = (function () {
    function CIMap() {
        this.map = new Map();
    }
    CIMap.mapKey = function (key) {
        return key.toLowerCase();
    };
    CIMap.prototype.get = function (key) {
        return this.map.get(CIMap.mapKey(key));
    };
    CIMap.prototype.set = function (key, value) {
        return this.map.set(CIMap.mapKey(key), value);
    };
    CIMap.prototype.delete = function (key) {
        return this.map.delete(CIMap.mapKey(key));
    };
    CIMap.prototype.has = function (key) {
        return this.map.has(CIMap.mapKey(key));
    };
    Object.defineProperty(CIMap.prototype, "size", {
        get: function () {
            return this.map.size;
        },
        enumerable: true,
        configurable: true
    });
    return CIMap;
}());
exports.CIMap = CIMap;