"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var app_background_1 = require("app/app.background");
var log_1 = require("app/log");
var constants_1 = require("data/constants");
var XpcomUtils = require("legacy/lib/utils/xpcom-utils");
var environment_1 = require("lib/environment");
var manager_for_pref_observer_1 = require("lib/manager-for-pref-observer");
var RequestProcessor = require("lib/request-processor");
var subscription_1 = require("lib/subscription");
var RuleUtils = require("lib/utils/rule-utils");
var WindowUtils = require("lib/utils/window-utils");
var Metadata = require("models/metadata");
var requests_1 = require("models/requests");
exports.BackgroundPage = {
    C: constants_1.C,
    Environment: environment_1.Environment,
    LegacyApi: LegacyApi,
    MainEnvironment: environment_1.MainEnvironment,
    ManagerForPrefObservers: manager_for_pref_observer_1.ManagerForPrefObservers,
    Metadata: Metadata,
    RequestProcessor: RequestProcessor,
    Requests: requests_1.Requests,
    RuleUtils: RuleUtils,
    SUBSCRIPTION_ADDED_TOPIC: subscription_1.SUBSCRIPTION_ADDED_TOPIC,
    SUBSCRIPTION_REMOVED_TOPIC: subscription_1.SUBSCRIPTION_REMOVED_TOPIC,
    WindowUtils: WindowUtils,
    XpcomUtils: XpcomUtils,
    log: log_1.log,
    rp: app_background_1.rp,
};